Dnfdragora-updater not working in Lx 4.1-alpha hardware system (reopened)

Tags: #<Tag:0x00007f5b159c3e08>

Post-edit: Big difference noticed between x86_64 hardware system and znver 1 hw system.

x86_64: dnfdragora-updater simply works with no user intervention
znver1: dnfdragora-updater does not work. So far I have not found any workaround for this.

Konsole output:

$ dnfdragora-updater
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/dbus/bus.py", line 177, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3.7/site-packages/dbus/bus.py", line 363, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3.7/site-packages/dbus/connection.py", line 653, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.freedesktop.Notifications': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 33, in <module>
    import dnfdragora.updater
  File "/usr/lib/python3.7/site-packages/dnfdragora/updater.py", line 22, in <module>
    notify2.init('dnfdragora-updater')
  File "/usr/lib/python3.7/site-packages/notify2.py", line 103, in init
    '/org/freedesktop/Notifications')
  File "/usr/lib/python3.7/site-packages/dbus/bus.py", line 243, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3.7/site-packages/dbus/proxies.py", line 250, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3.7/site-packages/dbus/bus.py", line 182, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3.7/site-packages/dbus/bus.py", line 280, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3.7/site-packages/dbus/connection.py", line 653, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

I’ll check this on Lx 4.1 x86_64 hardware system shortly. I make the distinction about hardware system because this works on VBox systems for znver1 and x86_64.

This is working in x86_64 hardware system so problem seems to be specific to znver1 hardware system.

Post-edit: Would be awesomely helpful if we could get confirmation or not of this behavior to see if this is a real problem or specific to my computer for some reason.

Bug report here.

Yup got bug on iso-live session:

Multiple instance for updater.

Checking other bug around…

Another, invalid LSB Release:

checking other bug around.

This problem has been verified by other people. However I did a fresh install of znver1 and after ‘dnf --refresh upgrade’ the problem occurred again indicating to me that an upgraded package might be the cause.

To reproduce issue on a computer with zen cpu (has to be zen cpu for znver1 to work properly):

  1. Install from this ISO: https://abf.openmandriva.org/platforms/rolling/products/82/product_build_lists/2928
  2. I believe you will see dnfdragora-updater is working in ‘Live’ and on freshly installed system.
  3. Then run ‘dnf --refresh upgrade’ and in my case there was a 120 package upgrade all packages from rolling/main/release repo. After this upgrade dnf-dragora no longer works and produces error in original post. The upgraded packages list:

update_list-znver1-Dec-12.txt (23.5 KB)

1 Like

I knew before filing the bug report this was likely to be a weird one. Partly because of “why things that work in x86_64 system on same computer then don’t work in znver1?”

So now it looks like this was somehow an internet issue not a problem with any package. Why do I think that?

Because a few hours ago I got knocked off the internet, the connection light on modem was blinking not solid like normal. And though computer was showing me connected my router showed me disconnected. So I rebooted cable modem then rebooted router and now this problem has disappeared. Things now appear working normally.

I’m speculating that the above fixed this otherwise I don’t have any explanation for things all of sudden working that haven’t worked for days.

This issue has arisen again, this time in a older Rolling x86_64 hardware system on wifi (Intel AX-200 as I recall).

Konsole output of attempt to run dnfdragora-updater:

I have no idea as to the cause whether it be dbus, python, dnfdragor-updater, hardware, or perhaps something weird that has happened with all the “cp cooker rolling” upgrades? :face_with_head_bandage:
If it is the last one then the fix might be to do a fresh install.

This time rebooting cable modem and router is not fixing this.

I think I’ll suppose this is the problem, or something similar regarding upgrade confusion. So I’m going to do a fresh install so this unless the issue returns will be “Can’t Fix”.

Closing. If someone else runs in to this might as well open new thread.

1 Like